Class Specialization
Multi Pool Allocator
Allocator that pools memory blocks.

Allocator

Allocator

Multi Pool Allocator

Allocator< MultiPool<ParentAllocator, BLOCKING_LIMIT> >
Include Headers
seqan/basic.h
Parameters

ParentAllocator | An allocator that is by the pool allocator used to allocate memory. Note: The multi pool allocator only supports clear if this function is also implemented for ParentAllocator. Default: Simple Allocator
BLOCKING_LIMIT | The maximum size for memory blocks to be pooled. Note that memory blocks larger than BLOCKING_LIMIT are not pooled but immediately allocated and deallocated using ParentAllocator. Default: 256 Freed blocks are not immediately deallocated but recycled in subsequential allocations. This way, the number of calls to the heap manager is reduced, and that speeds up memory management.

Remarks
A pool allocator allocates several memory blocks at once.
Specialization of
Allocator
Implements
Allocator
Functions

allocate | Allocates memory from heap. (Allocator)
clear | Deallocates all memory blocks. (Allocator)
clear | Deallocates all memory blocks. (Allocator)
deallocate | Deallocates memory. (Allocator)

Example Programs
Allocators
See Also
Allocators
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51